---------------------------------------------------------------------------
License 
Copyright 2004 Grigory (Greg) Nudelman. All Rights Reserved. 
Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met: 

Redistribution of source code must retain this copyright notice, this list of conditions and the following disclaimer.

Redistribution in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution. 

The name of Grigory (Greg) Nudelman may not be used to endorse or promote products derived from this software without specific prior written permission. 

This software is provided "AS IS," without a warranty of any kind. ALL EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES, INCLUDING ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT, ARE HEREBY EXCLUDED. THE INVENTOR, Grigory (Greg) Nudelman AND THE LICENSORS OF THIS SOFTWARE SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES. IN NO EVENT WILL THE INVENTOR OR HIS LICENSORS BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR FOR DIRECT, INDIRECT, SPECIAL, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED AND REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF THE USE OF OR INABILITY TO USE THIS SOFTWARE, EVEN IF THE INVENTOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. 

You acknowledge that this software is not designed, licensed or intended for use in the design, construction, operation or maintenance of any nuclear facility.  
---------------------------------------------------------------------------

CREATE TABLE CD
(
	id	                VARCHAR2(10) NOT NULL PRIMARY KEY,
	title	                VARCHAR2(100) NOT NULL,
	artist	                VARCHAR2(50) NOT NULL,
	imageUrl	        VARCHAR2(100),
	remainingInInventory	INTEGER DEFAULT 0 NOT NULL,
	price	                NUMBER(4,2) DEFAULT 0.00 NOT NULL,
	timestamp	        LONG DEFAULT 0 NOT NULL
);

commit;

INSERT INTO CD values (1, 'In The Zone',             'Britney Spears',     '', 2, 12.98, 1000000);
INSERT INTO CD values (2, 'Britney',                 'Britney Spears',     '', 2, 17.99, 1000001);
INSERT INTO CD values (3, 'Oops!... I Did It Again', 'Britney Spears',     '', 2, 10.98, 1000002);
INSERT INTO CD values (4, '...Baby One More Time',   'Britney Spears',     '', 2, 13.98, 1000003);
INSERT INTO CD values (5, 'Stripped',                'Christina Aguilera', '', 2, 14.99, 1000004);
INSERT INTO CD values (6, 'Forty Licks',             'The Rolling Stones', '', 2, 23.99, 1000005);

commit; 